org.keycloak.social.facebook

## Class FacebookProvider

- java.lang.Object
- - org.keycloak.social.AbstractOAuth2Provider
  - - org.keycloak.social.facebook.FacebookProvider

- All Implemented Interfaces:
    SocialProvider

      public class FacebookProvider
      extends AbstractOAuth2Provider

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FacebookProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getAuthUrl()`
    `String` | `getId()`
    `String` | `getName()`
    `protected SocialUser` | `getProfile(String accessToken)`
    `protected String` | `getScope()`
    `protected String` | `getTokenUrl()`

    - ### Methods inherited from class org.keycloak.social.AbstractOAuth2Provider

      `getAuthUrl, processCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

  - ### Constructor Detail

    - #### FacebookProvider

          public FacebookProvider()

  - ### Method Detail

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `SocialProvider`
      Specified by:
        `getId` in class `AbstractOAuth2Provider`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `SocialProvider`
      Specified by:
        `getName` in class `AbstractOAuth2Provider`

    - #### getScope

          protected String getScope()

      Specified by:
        `getScope` in class `AbstractOAuth2Provider`

    - #### getAuthUrl

          protected String getAuthUrl()

      Specified by:
        `getAuthUrl` in class `AbstractOAuth2Provider`

    - #### getTokenUrl

          protected String getTokenUrl()

      Specified by:
        `getTokenUrl` in class `AbstractOAuth2Provider`

    - #### getProfile

          protected SocialUser getProfile(String accessToken)
                                   throws SocialProviderException

      Specified by:
        `getProfile` in class `AbstractOAuth2Provider`
      Throws:
        `SocialProviderException`

Copyright © 2015. All Rights Reserved.